
package de.ivu.elect.presentation.gebietsbaum.menu;

import java.util.Collections;
import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.system.menu.AbstractSystemLogMenuItemEntry;

@Named(GebietsgruppierungDeleteAllMenuItemEntry.COMPONENT_NAME)
public class GebietsgruppierungDeleteAllMenuItemEntry extends AbstractGebietsgruppierungMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietsgruppierungDeleteAllMenuItemEntry";

  public GebietsgruppierungDeleteAllMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.GEBIETSGRUPPIERUNG_DELETE;
  }

  @Override
  protected boolean isAjax() {
    return true;
  }

  @Override
  public String getTargetViewId() {
    return null;
  }

  @Override
  public String getDialogName() {
    return "DeleteConfirmAll";
  }

  @Override
  public String getLabelKey() {
    return "gebietsgruppierung.edit.action.delete.all.entities";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconDelete();
  }

  @Override
  protected List<String> getAdditionalTopicViewIds() {
    return Collections.singletonList("");
  }
}
